-- sprayUsage mod by Lizzar

sprayUsage = {}; 



function sprayUsage:getSprayerUsage(superFunc, ...)
	
	local usage = superFunc( self, ... )
	
	if self:getIsActive() then
		local speedLimit = getXMLInt(self.xmlFile, "vehicle.base.speedLimit#value")
		local speedFx = math.max(3, self.lastSpeedReal*3600)
		
		speedFx = speedFx / speedLimit
		usage = usage * speedFx
	end
	
	return usage

end
Sprayer.getSprayerUsage = Utils.overwrittenFunction( Sprayer.getSprayerUsage, sprayUsage.getSprayerUsage )

addModEventListener(sprayUsage);